.circle-chart__circle {
  stroke: #00acc1;
  stroke-width: 2;
  stroke-linecap: square;
  fill: none;
  animation: circle-chart-fill 2s reverse;
  /* 1 */
  transform: rotate(-90deg);
  /* 2, 3 */
  transform-origin: center;
  /* 4 */
}

.circle-chart__circle--negative {
  transform: rotate(-90deg) scale(1, -1);
  /* 1, 2, 3 */
}

.circle-chart__background {
  stroke: #959595;
  stroke-width: 0.1;
  fill: none;
}

.circle-chart__info {
  animation: circle-chart-appear 2s forwards;
  opacity: 0;
  transform: translateY(0.3em);
}

.circle-chart__percent {
  alignment-baseline: central;
  text-anchor: middle;
  font-size: 12px;
  font-weight: bold;

}

.circle-chart__subline {
  alignment-baseline: central;
  text-anchor: middle;
  font-size: 3px;
}

.green-stroke {
  stroke: #47ba74;
}

.blue-stroke {
  stroke: #44c4cd;
}

.violet-stroke {
  stroke: #7b007c;
}

.orange-stroke {
  stroke: #f3ac4f;
}

.red-stroke {
  stroke: #ef4748;
}

.green-fill {
  fill: #47ba74;
}

.blue-fill {
  fill: #44c4cd;
}

.violet-fill {
  fill: #7b007c;
}

.orange-fill {
  fill: #f3ac4f;
}

.red-fill {
  fill: #ef4748;
}

@keyframes circle-chart-fill {
  to {
    stroke-dasharray: 0 100;
  }
}

@keyframes circle-chart-appear {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}